{
  "name": "api",
  "homepage": "https://totaltech.net",
  "version": "v0.1.0",
  "author": {
    "name": "Jackson Roberts",
    "email": "jackson.roberts@totaltech.net",
    "url": "https://totaltech.net"
  },
  "module": "src/index.ts",
  "type": "module",
  "private": true,
  "devDependencies": {
    "@types/bun": "latest",
    "@types/jsonwebtoken": "^9.0.10"
  },
  "peerDependencies": {
    "typescript": "^5"
  },
  "scripts": {
    "dev": "NODE_ENV=development bun --watch src/index.ts",
    "dev:worker": "NODE_ENV=development bun --watch src/workert.ts",
    "dev:log": "LOG_CW_API=1 NODE_ENV=development bun --watch src/index.ts",
    "test": "bun test --preload ./tests/setup.ts",
    "db:gen": "prisma generate",
    "db:push": "prisma migrate dev --skip-generate",
    "db:deploy": "prisma migrate deploy",
    "utils:dev": "docker compose -f .docker/docker-compose.yml up --build",
    "utils:gen_private_keys": "bun ./utils/genPrivateKeys",
    "utils:create_admin_role": "bun ./utils/createAdminRole",
    "utils:assign_user_role": "bun ./utils/assignUserRole",
    "utils:gen_access_token": "bun ./utils/generate24HourAccessToken.ts",
    "utils:test_webserver": "bun ./utils/testWebserver.ts",
    "utils:test_adjustments_poll": "bun ./utils/testAdjustmentsPoll.ts",
    "utils:analyze_cw": "python3 debug-scripts/analyze-cw-calls.py",
    "db:check": "bunx prisma migrate diff --from-migrations prisma/migrations --to-schema prisma/schema.prisma --shadow-database-url $DATABASE_URL --exit-code"
  },
  "dependencies": {
    "@azure/msal-node": "^5.0.2",
    "@discordjs/collection": "^2.1.1",
    "@duxcore/eventra": "^1.1.0",
    "@prisma/adapter-pg": "^7.3.0",
    "@prisma/client": "^7.3.0",
    "@socket.io/bun-engine": "^0.1.0",
    "axios": "^1.13.3",
    "blakets": "^0.1.12",
    "cors": "^2.8.6",
    "cuid": "^3.0.0",
    "dalpuri": "workspace:*",
    "hono": "^4.11.5",
    "ioredis": "^5.10.0",
    "jsonwebtoken": "^9.0.3",
    "keypair": "^1.0.4",
    "pdf-lib": "^1.17.1",
    "pdfmake": "^0.3.5",
    "pg-boss": "^12.14.0",
    "prisma": "^7.3.0",
    "socket.io": "^4.8.3",
    "zod": "^4.3.6",
    "zon": "^1.0.3"
  }
}
